package com.huimv.eartag2.manage2.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.eartag2.manage2.pojo.EartagData2;
import com.huimv.eartag2.manage2.mapper.EartagData2Mapper;
import com.huimv.eartag2.manage2.service.IEartagData2Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2022-07-29
 */
@Service
public class EartagData2ServiceImpl extends ServiceImpl<EartagData2Mapper, EartagData2> implements IEartagData2Service {

    @Resource
    private EartagData2Mapper eartagData2Mapper;

    @Override
    public List<EartagData2> getEartagData(String earmark) {
        QueryWrapper<EartagData2> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("earmark",earmark);
        List<EartagData2> eartagData2s = eartagData2Mapper.selectList(queryWrapper);
        return eartagData2s;
    }
}
